Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.sphincs
Class SPHINCSKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.sphincs.SPHINCSKeyParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  SPHINCSPrivateKeyParameters, SPHINCSPublicKeyParameters

public class SPHINCSKeyParameters
extends AsymmetricKeyParameter

Field Summary
`static java.lang.String` | `SHA3_256` Use SHA3-256 for the tree generation function.
`static java.lang.String` | `SHA512_256` Use SHA512-256 for the tree generation function.

Constructor Summary
`protected` | `SPHINCSKeyParameters(boolean isPrivateKey, java.lang.String treeDigest)`

Method Summary
`java.lang.String` | `getTreeDigest()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHA512_256

    public static final java.lang.String SHA512_256

  Use SHA512-256 for the tree generation function.

  See Also:
    Constant Field Values

### SHA3_256

    public static final java.lang.String SHA3_256

  Use SHA3-256 for the tree generation function.

  See Also:
    Constant Field Values

Constructor Detail

### SPHINCSKeyParameters

    protected SPHINCSKeyParameters(boolean isPrivateKey,
                                   java.lang.String treeDigest)

Method Detail

### getTreeDigest

    public java.lang.String getTreeDigest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD